Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj	(revision 7669)
@@ -128,10 +128,4 @@
       <DependentUpon>TravelingSalesmanProblemView.cs</DependentUpon>
     </Compile>
-    <Compile Include="TSPLIBImportDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="TSPLIBImportDialog.Designer.cs">
-      <DependentUpon>TSPLIBImportDialog.cs</DependentUpon>
-    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
@@ -147,9 +141,4 @@
       <Private>False</Private>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
-      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
-      <Name>HeuristicLab.Common.Resources-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
       <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
@@ -205,4 +194,9 @@
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
+      <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
+      <Name>HeuristicLab.Problems.Instances-3.3</Name>
       <Private>False</Private>
     </ProjectReference>
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs	(revision 7669)
@@ -118,4 +118,12 @@
                 graphics.FillRectangle(Brushes.Red, points[i].X - 2, points[i].Y - 2, 6, 6);
             }
+          } else {
+            using (Graphics graphics = Graphics.FromImage(bitmap)) {
+              graphics.Clear(Color.White);
+              Font font = new Font(FontFamily.GenericSansSerif, 12, FontStyle.Regular);
+              string text = "No coordinates defined or in wrong format.";
+              SizeF strSize = graphics.MeasureString(text, font);
+              graphics.DrawString(text, font, Brushes.Black, (float)(pictureBox.Width - strSize.Width) / 2.0f, (float)(pictureBox.Height - strSize.Height) / 2.0f);
+            }
           }
           pictureBox.Image = bitmap;
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/Plugin.cs.frame	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/Plugin.cs.frame	(revision 7669)
@@ -29,5 +29,4 @@
   [PluginFile("HeuristicLab.Problems.TravelingSalesman.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
@@ -37,4 +36,5 @@
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
   [PluginDependency("HeuristicLab.Parameters", "3.3")]
   [PluginDependency("HeuristicLab.Problems.TravelingSalesman", "3.3")]
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPLIBImportDialog.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPLIBImportDialog.Designer.cs	(revision 7270)
+++ 	(revision )
@@ -1,250 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Problems.TravelingSalesman.Views {
-  partial class TSPLIBImportDialog {
-    /// <summary>
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary>
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Windows Form Designer generated code
-
-    /// <summary>
-    /// Required method for Designer support - do not modify
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
-      this.okButton = new System.Windows.Forms.Button();
-      this.cancelButton = new System.Windows.Forms.Button();
-      this.openTSPFileDialog = new System.Windows.Forms.OpenFileDialog();
-      this.tspFileLabel = new System.Windows.Forms.Label();
-      this.openTSPFileButton = new System.Windows.Forms.Button();
-      this.tspFileTextBox = new System.Windows.Forms.TextBox();
-      this.tourFileLabel = new System.Windows.Forms.Label();
-      this.openTourFileButton = new System.Windows.Forms.Button();
-      this.tourFileTextBox = new System.Windows.Forms.TextBox();
-      this.qualityLabel = new System.Windows.Forms.Label();
-      this.qualityTextBox = new System.Windows.Forms.TextBox();
-      this.openTourFileDialog = new System.Windows.Forms.OpenFileDialog();
-      this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
-      this.clearTourFileButton = new System.Windows.Forms.Button();
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      this.SuspendLayout();
-      // 
-      // okButton
-      // 
-      this.okButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
-      this.okButton.Enabled = false;
-      this.okButton.Location = new System.Drawing.Point(418, 97);
-      this.okButton.Name = "okButton";
-      this.okButton.Size = new System.Drawing.Size(75, 23);
-      this.okButton.TabIndex = 9;
-      this.okButton.Text = "&OK";
-      this.okButton.UseVisualStyleBackColor = true;
-      // 
-      // cancelButton
-      // 
-      this.cancelButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
-      this.cancelButton.Location = new System.Drawing.Point(499, 97);
-      this.cancelButton.Name = "cancelButton";
-      this.cancelButton.Size = new System.Drawing.Size(75, 23);
-      this.cancelButton.TabIndex = 10;
-      this.cancelButton.Text = "&Cancel";
-      this.cancelButton.UseVisualStyleBackColor = true;
-      // 
-      // openTSPFileDialog
-      // 
-      this.openTSPFileDialog.DefaultExt = "tsp";
-      this.openTSPFileDialog.FileName = "tsp";
-      this.openTSPFileDialog.Filter = "TSP Files|*.tsp|All Files|*.*";
-      this.openTSPFileDialog.Title = "Open TSP File";
-      // 
-      // tspFileLabel
-      // 
-      this.tspFileLabel.AutoSize = true;
-      this.tspFileLabel.Location = new System.Drawing.Point(12, 15);
-      this.tspFileLabel.Name = "tspFileLabel";
-      this.tspFileLabel.Size = new System.Drawing.Size(50, 13);
-      this.tspFileLabel.TabIndex = 0;
-      this.tspFileLabel.Text = "&TSP File:";
-      // 
-      // openTSPFileButton
-      // 
-      this.openTSPFileButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.openTSPFileButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Open;
-      this.openTSPFileButton.Location = new System.Drawing.Point(520, 10);
-      this.openTSPFileButton.Name = "openTSPFileButton";
-      this.openTSPFileButton.Size = new System.Drawing.Size(24, 24);
-      this.openTSPFileButton.TabIndex = 2;
-      this.openTSPFileButton.UseVisualStyleBackColor = true;
-      this.openTSPFileButton.Click += new System.EventHandler(this.openTSPFileButton_Click);
-      // 
-      // tspFileTextBox
-      // 
-      this.tspFileTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tspFileTextBox.Enabled = false;
-      this.tspFileTextBox.Location = new System.Drawing.Point(136, 12);
-      this.tspFileTextBox.Name = "tspFileTextBox";
-      this.tspFileTextBox.ReadOnly = true;
-      this.tspFileTextBox.Size = new System.Drawing.Size(378, 20);
-      this.tspFileTextBox.TabIndex = 1;
-      // 
-      // tourFileLabel
-      // 
-      this.tourFileLabel.AutoSize = true;
-      this.tourFileLabel.Location = new System.Drawing.Point(12, 67);
-      this.tourFileLabel.Name = "tourFileLabel";
-      this.tourFileLabel.Size = new System.Drawing.Size(113, 13);
-      this.tourFileLabel.TabIndex = 5;
-      this.tourFileLabel.Text = "&Optimal TSP Tour File:";
-      // 
-      // openTourFileButton
-      // 
-      this.openTourFileButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.openTourFileButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Open;
-      this.openTourFileButton.Location = new System.Drawing.Point(520, 62);
-      this.openTourFileButton.Name = "openTourFileButton";
-      this.openTourFileButton.Size = new System.Drawing.Size(24, 24);
-      this.openTourFileButton.TabIndex = 7;
-      this.openTourFileButton.UseVisualStyleBackColor = true;
-      this.openTourFileButton.Click += new System.EventHandler(this.openTourFileButton_Click);
-      // 
-      // tourFileTextBox
-      // 
-      this.tourFileTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tourFileTextBox.Enabled = false;
-      this.tourFileTextBox.Location = new System.Drawing.Point(136, 64);
-      this.tourFileTextBox.Name = "tourFileTextBox";
-      this.tourFileTextBox.ReadOnly = true;
-      this.tourFileTextBox.Size = new System.Drawing.Size(378, 20);
-      this.tourFileTextBox.TabIndex = 6;
-      // 
-      // qualityLabel
-      // 
-      this.qualityLabel.AutoSize = true;
-      this.qualityLabel.Location = new System.Drawing.Point(12, 41);
-      this.qualityLabel.Name = "qualityLabel";
-      this.qualityLabel.Size = new System.Drawing.Size(102, 13);
-      this.qualityLabel.TabIndex = 3;
-      this.qualityLabel.Text = "&Best Known Quality:";
-      // 
-      // qualityTextBox
-      // 
-      this.qualityTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.qualityTextBox.Location = new System.Drawing.Point(136, 38);
-      this.qualityTextBox.Name = "qualityTextBox";
-      this.qualityTextBox.Size = new System.Drawing.Size(378, 20);
-      this.qualityTextBox.TabIndex = 4;
-      this.qualityTextBox.Validated += new System.EventHandler(this.qualityTextBox_Validated);
-      this.qualityTextBox.KeyDown += new System.Windows.Forms.KeyEventHandler(this.qualityTextBox_KeyDown);
-      this.qualityTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.qualityTextBox_Validating);
-      // 
-      // openTourFileDialog
-      // 
-      this.openTourFileDialog.DefaultExt = "opt.tour";
-      this.openTourFileDialog.FileName = "tour";
-      this.openTourFileDialog.Filter = "Optimal TSP Tour Files|*.opt.tour|All Files|*.*";
-      this.openTourFileDialog.SupportMultiDottedExtensions = true;
-      this.openTourFileDialog.Title = "Open Optimal TSP Tour File";
-      // 
-      // errorProvider
-      // 
-      this.errorProvider.BlinkStyle = System.Windows.Forms.ErrorBlinkStyle.NeverBlink;
-      this.errorProvider.ContainerControl = this;
-      // 
-      // clearTourFileButton
-      // 
-      this.clearTourFileButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.clearTourFileButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Remove;
-      this.clearTourFileButton.Location = new System.Drawing.Point(550, 62);
-      this.clearTourFileButton.Name = "clearTourFileButton";
-      this.clearTourFileButton.Size = new System.Drawing.Size(24, 24);
-      this.clearTourFileButton.TabIndex = 8;
-      this.clearTourFileButton.UseVisualStyleBackColor = true;
-      this.clearTourFileButton.Click += new System.EventHandler(this.clearTourFileButton_Click);
-      // 
-      // TSPLIBImportDialog
-      // 
-      this.AcceptButton = this.okButton;
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.CancelButton = this.cancelButton;
-      this.ClientSize = new System.Drawing.Size(586, 132);
-      this.Controls.Add(this.qualityTextBox);
-      this.Controls.Add(this.tourFileTextBox);
-      this.Controls.Add(this.tspFileTextBox);
-      this.Controls.Add(this.clearTourFileButton);
-      this.Controls.Add(this.openTourFileButton);
-      this.Controls.Add(this.openTSPFileButton);
-      this.Controls.Add(this.qualityLabel);
-      this.Controls.Add(this.tourFileLabel);
-      this.Controls.Add(this.tspFileLabel);
-      this.Controls.Add(this.cancelButton);
-      this.Controls.Add(this.okButton);
-      this.MaximizeBox = false;
-      this.MinimizeBox = false;
-      this.Name = "TSPLIBImportDialog";
-      this.ShowIcon = false;
-      this.ShowInTaskbar = false;
-      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
-      this.Text = "Import TSP from TSPLIB";
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-
-    private System.Windows.Forms.Button okButton;
-    private System.Windows.Forms.Button cancelButton;
-    private System.Windows.Forms.OpenFileDialog openTSPFileDialog;
-    private System.Windows.Forms.Label tspFileLabel;
-    private System.Windows.Forms.Button openTSPFileButton;
-    private System.Windows.Forms.TextBox tspFileTextBox;
-    private System.Windows.Forms.Label tourFileLabel;
-    private System.Windows.Forms.Button openTourFileButton;
-    private System.Windows.Forms.TextBox tourFileTextBox;
-    private System.Windows.Forms.Label qualityLabel;
-    private System.Windows.Forms.TextBox qualityTextBox;
-    private System.Windows.Forms.OpenFileDialog openTourFileDialog;
-    private System.Windows.Forms.ErrorProvider errorProvider;
-    private System.Windows.Forms.Button clearTourFileButton;
-  }
-}
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPLIBImportDialog.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TSPLIBImportDialog.cs	(revision 7270)
+++ 	(revision )
@@ -1,99 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.ComponentModel;
-using System.Text;
-using System.Windows.Forms;
-using HeuristicLab.Data;
-
-namespace HeuristicLab.Problems.TravelingSalesman.Views {
-  public sealed partial class TSPLIBImportDialog : Form {
-    private string tspFileName;
-    public string TSPFileName {
-      get { return tspFileName; }
-    }
-    private double? quality;
-    public double? Quality {
-      get { return quality; }
-    }
-    private string tourFileName;
-    public string TourFileName {
-      get { return tourFileName; }
-    }
-
-    public TSPLIBImportDialog() {
-      InitializeComponent();
-      tspFileName = string.Empty;
-      tourFileName = string.Empty;
-      quality = null;
-      errorProvider.SetIconAlignment(qualityTextBox, ErrorIconAlignment.MiddleLeft);
-      errorProvider.SetIconPadding(qualityTextBox, 2);
-    }
-
-    private void openTSPFileButton_Click(object sender, EventArgs e) {
-      if (openTSPFileDialog.ShowDialog(this) == DialogResult.OK) {
-        tspFileTextBox.Text = openTSPFileDialog.FileName;
-        tspFileTextBox.Enabled = true;
-        tspFileName = openTSPFileDialog.FileName;
-        okButton.Enabled = true;
-      }
-    }
-    private void openTourFileButton_Click(object sender, EventArgs e) {
-      if (openTourFileDialog.ShowDialog(this) == DialogResult.OK) {
-        tourFileTextBox.Text = openTourFileDialog.FileName;
-        tourFileTextBox.Enabled = true;
-        tourFileName = openTourFileDialog.FileName;
-      }
-    }
-    private void clearTourFileButton_Click(object sender, EventArgs e) {
-      tourFileTextBox.Text = string.Empty;
-      tourFileTextBox.Enabled = false;
-      tourFileName = string.Empty;
-    }
-
-    private void qualityTextBox_Validating(object sender, CancelEventArgs e) {
-      double val;
-      if ((!string.IsNullOrEmpty(qualityTextBox.Text)) && (!double.TryParse(qualityTextBox.Text, out val))) {
-        e.Cancel = true;
-        StringBuilder sb = new StringBuilder();
-        sb.Append("Invalid Value (Valid Value Format: \"");
-        sb.Append(FormatPatterns.GetDoubleFormatPattern());
-        sb.Append("\")");
-        errorProvider.SetError(qualityTextBox, sb.ToString());
-        qualityTextBox.SelectAll();
-        CancelButton = null;
-      }
-    }
-    private void qualityTextBox_Validated(object sender, EventArgs e) {
-      if (string.IsNullOrEmpty(qualityTextBox.Text)) quality = null;
-      else quality = double.Parse(qualityTextBox.Text);
-      errorProvider.SetError(qualityTextBox, string.Empty);
-      CancelButton = cancelButton;
-    }
-    private void qualityTextBox_KeyDown(object sender, KeyEventArgs e) {
-      if (e.KeyCode == Keys.Escape) {
-        qualityTextBox.Text = quality == null ? string.Empty : quality.ToString();
-        qualityLabel.Focus();  // set focus on label to validate data
-      }
-    }
-  }
-}
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.Designer.cs	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.Designer.cs	(revision 7669)
@@ -27,4 +27,11 @@
     private System.ComponentModel.IContainer components = null;
 
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
     #region Component Designer generated code
 
@@ -34,10 +41,12 @@
     /// </summary>
     private void InitializeComponent() {
-      this.importButton = new System.Windows.Forms.Button();
       this.tabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
       this.parametersTabPage = new System.Windows.Forms.TabPage();
-      this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
       this.visualizationTabPage = new System.Windows.Forms.TabPage();
       this.pathTSPTourView = new HeuristicLab.Problems.TravelingSalesman.Views.PathTSPTourView();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).BeginInit();
+      this.problemInstanceSplitContainer.Panel1.SuspendLayout();
+      this.problemInstanceSplitContainer.Panel2.SuspendLayout();
+      this.problemInstanceSplitContainer.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tabControl.SuspendLayout();
@@ -46,26 +55,26 @@
       this.SuspendLayout();
       // 
+      // libraryInfoButton
+      // 
+      this.libraryInfoButton.Location = new System.Drawing.Point(224, 1);
+      // 
+      // problemInstanceSplitContainer
+      // 
+      // 
+      // problemInstanceSplitContainer.Panel2
+      // 
+      this.problemInstanceSplitContainer.Panel2.Controls.Add(this.tabControl);
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)));
+      this.parameterCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.parameterCollectionView.Location = new System.Drawing.Point(3, 3);
+      this.parameterCollectionView.Size = new System.Drawing.Size(497, 274);
+      // 
       // nameTextBox
       // 
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(58, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(446, 20);
-      // 
-      // infoLabel
-      // 
-      this.infoLabel.Location = new System.Drawing.Point(510, 3);
-      // 
-      // importButton
-      // 
-      this.importButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.importButton.Location = new System.Drawing.Point(0, 26);
-      this.importButton.Name = "importButton";
-      this.importButton.Size = new System.Drawing.Size(529, 23);
-      this.importButton.TabIndex = 3;
-      this.importButton.Text = "&Import from TSPLIB";
-      this.importButton.UseVisualStyleBackColor = true;
-      this.importButton.Click += new System.EventHandler(this.importButton_Click);
       // 
       // tabControl
@@ -77,8 +86,8 @@
       this.tabControl.Controls.Add(this.parametersTabPage);
       this.tabControl.Controls.Add(this.visualizationTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 55);
+      this.tabControl.Location = new System.Drawing.Point(0, 27);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(529, 367);
+      this.tabControl.Size = new System.Drawing.Size(511, 306);
       this.tabControl.TabIndex = 4;
       // 
@@ -89,21 +98,8 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(521, 315);
+      this.parametersTabPage.Size = new System.Drawing.Size(503, 280);
       this.parametersTabPage.TabIndex = 0;
       this.parametersTabPage.Text = "Parameters";
       this.parametersTabPage.UseVisualStyleBackColor = true;
-      // 
-      // parameterCollectionView
-      // 
-      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection View";
-      this.parameterCollectionView.Content = null;
-      this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
-      this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.ReadOnly = false;
-      this.parameterCollectionView.Size = new System.Drawing.Size(509, 303);
-      this.parameterCollectionView.TabIndex = 0;
       // 
       // visualizationTabPage
@@ -113,5 +109,5 @@
       this.visualizationTabPage.Name = "visualizationTabPage";
       this.visualizationTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.visualizationTabPage.Size = new System.Drawing.Size(521, 341);
+      this.visualizationTabPage.Size = new System.Drawing.Size(503, 280);
       this.visualizationTabPage.TabIndex = 1;
       this.visualizationTabPage.Text = "Visualization";
@@ -128,5 +124,5 @@
       this.pathTSPTourView.Name = "pathTSPTourView";
       this.pathTSPTourView.ReadOnly = false;
-      this.pathTSPTourView.Size = new System.Drawing.Size(509, 329);
+      this.pathTSPTourView.Size = new System.Drawing.Size(491, 268);
       this.pathTSPTourView.TabIndex = 0;
       // 
@@ -135,13 +131,11 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.tabControl);
-      this.Controls.Add(this.importButton);
       this.Name = "TravelingSalesmanProblemView";
-      this.Size = new System.Drawing.Size(529, 422);
-      this.Controls.SetChildIndex(this.infoLabel, 0);
-      this.Controls.SetChildIndex(this.importButton, 0);
-      this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.tabControl, 0);
-      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.problemInstanceSplitContainer.Panel1.ResumeLayout(false);
+      this.problemInstanceSplitContainer.Panel1.PerformLayout();
+      this.problemInstanceSplitContainer.Panel2.ResumeLayout(false);
+      this.problemInstanceSplitContainer.Panel2.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).EndInit();
+      this.problemInstanceSplitContainer.ResumeLayout(false);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.tabControl.ResumeLayout(false);
@@ -149,5 +143,4 @@
       this.visualizationTabPage.ResumeLayout(false);
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -155,11 +148,8 @@
     #endregion
 
-    private System.Windows.Forms.Button importButton;
     private HeuristicLab.MainForm.WindowsForms.DragOverTabControl tabControl;
     private System.Windows.Forms.TabPage parametersTabPage;
     private System.Windows.Forms.TabPage visualizationTabPage;
-    private HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
     private PathTSPTourView pathTSPTourView;
-
   }
 }
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs	(revision 7270)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs	(revision 7669)
@@ -22,8 +22,6 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
-using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Optimization.Views;
 
 namespace HeuristicLab.Problems.TravelingSalesman.Views {
@@ -33,7 +31,5 @@
   [View("Traveling Salesman Problem View")]
   [Content(typeof(TravelingSalesmanProblem), true)]
-  public sealed partial class TravelingSalesmanProblemView : NamedItemView {
-    private TSPLIBImportDialog tsplibImportDialog;
-
+  public sealed partial class TravelingSalesmanProblemView : ProblemView {
     public new TravelingSalesmanProblem Content {
       get { return (TravelingSalesmanProblem)base.Content; }
@@ -46,12 +42,4 @@
     public TravelingSalesmanProblemView() {
       InitializeComponent();
-    }
-
-    protected override void Dispose(bool disposing) {
-      if (disposing) {
-        if (tsplibImportDialog != null) tsplibImportDialog.Dispose();
-        if (components != null) components.Dispose();
-      }
-      base.Dispose(disposing);
     }
 
@@ -72,8 +60,6 @@
       base.OnContentChanged();
       if (Content == null) {
-        parameterCollectionView.Content = null;
         pathTSPTourView.Content = null;
       } else {
-        parameterCollectionView.Content = ((IParameterizedNamedItem)Content).Parameters;
         pathTSPTourView.Content = new PathTSPTour(Content.Coordinates, Content.BestKnownSolution, Content.BestKnownQuality);
       }
@@ -82,23 +68,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      parameterCollectionView.Enabled = Content != null;
       pathTSPTourView.Enabled = Content != null;
-      importButton.Enabled = Content != null && !ReadOnly;
-    }
-
-    private void importButton_Click(object sender, System.EventArgs e) {
-      if (tsplibImportDialog == null) tsplibImportDialog = new TSPLIBImportDialog();
-
-      if (tsplibImportDialog.ShowDialog(this) == DialogResult.OK) {
-        try {
-          if (tsplibImportDialog.Quality == null)
-            Content.ImportFromTSPLIB(tsplibImportDialog.TSPFileName, tsplibImportDialog.TourFileName);
-          else
-            Content.ImportFromTSPLIB(tsplibImportDialog.TSPFileName, tsplibImportDialog.TourFileName, (double)tsplibImportDialog.Quality);
-        }
-        catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
-        }
-      }
     }
 