Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddAzureServiceDialog.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddAzureServiceDialog.Designer.cs	(revision 7670)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddAzureServiceDialog.Designer.cs	(revision 7676)
@@ -420,5 +420,5 @@
       this.rbVMSizeSmall.TabStop = true;
       this.rbVMSizeSmall.Text = "Small";
-      this.toolTip.SetToolTip(this.rbVMSizeSmall, "1 CPU Core; 1.75 GB Memory; $0.04");
+      this.toolTip.SetToolTip(this.rbVMSizeSmall, "1 CPU Core; 1.75 GB Memory; $0.12");
       this.rbVMSizeSmall.UseVisualStyleBackColor = true;
       // 
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddSubscriptionDialog.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddSubscriptionDialog.Designer.cs	(revision 7670)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddSubscriptionDialog.Designer.cs	(revision 7676)
@@ -24,4 +24,5 @@
     /// </summary>
     private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AddSubscriptionDialog));
       this.txtCertThumbprint = new System.Windows.Forms.TextBox();
       this.txtSubscriptionId = new System.Windows.Forms.TextBox();
@@ -87,7 +88,7 @@
       this.label1.Location = new System.Drawing.Point(12, 9);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(80, 13);
+      this.label1.Size = new System.Drawing.Size(83, 13);
       this.label1.TabIndex = 21;
-      this.label1.Text = "SubscriptionId: ";
+      this.label1.Text = "Subscription Id: ";
       // 
       // cbSaveSubscription
@@ -155,6 +156,7 @@
       this.Controls.Add(this.txtCertThumbprint);
       this.Controls.Add(this.txtSubscriptionId);
+      this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
       this.Name = "AddSubscriptionDialog";
-      this.Text = "AddSubscriptionDialog";
+      this.Text = "Add Subscription";
       this.ResumeLayout(false);
       this.PerformLayout();
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/CloudResourcesView.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/CloudResourcesView.cs	(revision 7670)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/CloudResourcesView.cs	(revision 7676)
@@ -318,6 +318,4 @@
         this.Invoke((MethodInvoker)delegate { lblRefresh.Text = "Refreshing data ..."; });
 
-        // statistics
-        Debug.WriteLine("perform update");
         CloudManagerClient.Instance.Refresh();
 
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/SubscriptionView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/SubscriptionView.Designer.cs	(revision 7670)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/SubscriptionView.Designer.cs	(revision 7676)
@@ -45,9 +45,9 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(3, 6);
+      this.label1.Location = new System.Drawing.Point(3, 32);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(80, 13);
+      this.label1.Size = new System.Drawing.Size(83, 13);
       this.label1.TabIndex = 8;
-      this.label1.Text = "SubscriptionId: ";
+      this.label1.Text = "Subscription Id: ";
       // 
       // txtSubscriptionId
@@ -55,5 +55,5 @@
       this.txtSubscriptionId.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtSubscriptionId.Location = new System.Drawing.Point(122, 3);
+      this.txtSubscriptionId.Location = new System.Drawing.Point(122, 29);
       this.txtSubscriptionId.Name = "txtSubscriptionId";
       this.txtSubscriptionId.ReadOnly = true;
@@ -172,5 +172,5 @@
       // 
       this.label7.AutoSize = true;
-      this.label7.Location = new System.Drawing.Point(3, 32);
+      this.label7.Location = new System.Drawing.Point(3, 6);
       this.label7.Name = "label7";
       this.label7.Size = new System.Drawing.Size(99, 13);
@@ -182,5 +182,5 @@
       this.txtSubscriptionName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtSubscriptionName.Location = new System.Drawing.Point(122, 29);
+      this.txtSubscriptionName.Location = new System.Drawing.Point(122, 3);
       this.txtSubscriptionName.Name = "txtSubscriptionName";
       this.txtSubscriptionName.ReadOnly = true;