Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEight.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEight.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEight.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEleven.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEleven.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionEleven.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFive.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFive.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFive.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFiveteen.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFiveteen.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFiveteen.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -69,5 +69,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFour.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFour.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFour.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFourteen.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFourteen.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionFourteen.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionNine.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionNine.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionNine.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -69,5 +69,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionOne.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionOne.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionOne.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionSeven.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionSeven.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionSeven.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -65,5 +65,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionSix.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionSix.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionSix.cs	(revision 7682)
@@ -45,6 +45,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTen.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTen.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTen.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionThirteen.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionThirteen.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionThirteen.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionThree.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionThree.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionThree.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -68,5 +68,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTwelve.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTwelve.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTwelve.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -66,5 +66,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTwo.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTwo.cs	(revision 7664)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Korns/KornsFunctionTwo.cs	(revision 7682)
@@ -44,6 +44,6 @@
     }
     protected override string TargetVariable { get { return "Y"; } }
-    protected override IEnumerable<string> InputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
-    protected override IEnumerable<string> AllowedInputVariables { get { return new List<string>() { "X0", "X1", "X2", "X3", "X4" }; } }
+    protected override string[] InputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4", "Y" }; } }
+    protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
     protected override int TrainingPartitionEnd { get { return 5000; } }
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    protected override double[,] GenerateValues() {
+    protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
@@ -67,5 +67,5 @@
       data.Add(results);
 
-      return ValueGenerator.Transformation(data);
+      return data;
     }
   }