Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs	(revision 7684)
@@ -46,5 +46,4 @@
     private void InitializeComponent() {
       this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
-      this.ImportButton = new System.Windows.Forms.Button();
       ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).BeginInit();
       this.problemInstanceSplitContainer.Panel1.SuspendLayout();
@@ -56,13 +55,4 @@
       // problemInstanceSplitContainer
       // 
-      // 
-      // problemInstanceSplitContainer.Panel2
-      // 
-      this.problemInstanceSplitContainer.Panel2.Controls.Add(this.ImportButton);
-      // 
-      // parameterCollectionView
-      // 
-      this.parameterCollectionView.Location = new System.Drawing.Point(6, 56);
-      this.parameterCollectionView.Size = new System.Drawing.Size(501, 274);
       // 
       // nameTextBox
@@ -76,16 +66,4 @@
       this.openFileDialog.Title = "Import data...";
       // 
-      // ImportButton
-      // 
-      this.ImportButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.ImportButton.Location = new System.Drawing.Point(6, 27);
-      this.ImportButton.Name = "ImportButton";
-      this.ImportButton.Size = new System.Drawing.Size(501, 23);
-      this.ImportButton.TabIndex = 14;
-      this.ImportButton.Text = "Import from CSV file";
-      this.ImportButton.UseVisualStyleBackColor = true;
-      this.ImportButton.Click += new System.EventHandler(this.ImportButton_Click);
-      // 
       // DataAnalysisProblemView
       // 
@@ -94,5 +72,4 @@
       this.Name = "DataAnalysisProblemView";
       this.problemInstanceSplitContainer.Panel1.ResumeLayout(false);
-      this.problemInstanceSplitContainer.Panel1.PerformLayout();
       this.problemInstanceSplitContainer.Panel2.ResumeLayout(false);
       this.problemInstanceSplitContainer.Panel2.PerformLayout();
@@ -107,5 +84,4 @@
 
     private System.Windows.Forms.OpenFileDialog openFileDialog;
-    private System.Windows.Forms.Button ImportButton;
   }
 }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs	(revision 7684)
@@ -20,9 +20,7 @@
 #endregion
 
-using System;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
 using HeuristicLab.Optimization.Views;
-using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Problems.DataAnalysis.Views {
@@ -38,20 +36,4 @@
       set { base.Content = value; }
     }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      ImportButton.Enabled = !Locked && !ReadOnly && Content != null;
-    }
-
-    private void ImportButton_Click(object sender, System.EventArgs e) {
-      if (openFileDialog.ShowDialog(this) == DialogResult.OK) {
-        try {
-          Content.ImportProblemDataFromFile(openFileDialog.FileName);
-        }
-        catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
-        }
-      }
-    }
   }
 }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 7684)
@@ -174,10 +174,4 @@
     </Compile>
     <Compile Include="Plugin.cs" />
-    <Compile Include="Regression\RegressionProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Regression\RegressionProblemView.Designer.cs">
-      <DependentUpon>RegressionProblemView.cs</DependentUpon>
-    </Compile>
     <Compile Include="Regression\RegressionSolutionErrorCharacteristicsCurveView.cs">
       <SubType>UserControl</SubType>
Index: anches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionProblemView.Designer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionProblemView.Designer.cs	(revision 7683)
+++ 	(revision )
@@ -1,48 +1,0 @@
-﻿namespace HeuristicLab.Problems.DataAnalysis.Views.Regression {
-  partial class RegressionProblemView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      this.SuspendLayout();
-      // 
-      // nameTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      // 
-      // RegressionProblemView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "RegressionProblemView";
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-
-  }
-}
Index: anches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionProblemView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionProblemView.cs	(revision 7683)
+++ 	(revision )
@@ -1,39 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Windows.Forms;
-using HeuristicLab.MainForm;
-using HeuristicLab.Optimization.Views;
-
-namespace HeuristicLab.Problems.DataAnalysis.Views.Regression {
-  [View("Regression Problem View")]
-  [Content(typeof(RegressionProblem), true)]
-  public partial class RegressionProblemView : ProblemView {
-    public new RegressionProblem Content {
-      get { return (RegressionProblem)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public RegressionProblemView() {
-      InitializeComponent();
-    }
-  }
-}
Index: anches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Regression/3.4/Properties/AssemblyInfo.cs	(revision 7683)
+++ 	(revision )
@@ -1,57 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.Regression")]
-[assembly: AssemblyDescription("")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("HEAL")]
-[assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("2fa516e4-be1b-47ae-a57c-dbc09736c2c6")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Build and Revision Numbers 
-// by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.0.7682")]
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/HeuristicLab.Problems.Instances.Views-3.4.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/HeuristicLab.Problems.Instances.Views-3.4.csproj	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/HeuristicLab.Problems.Instances.Views-3.4.csproj	(revision 7684)
@@ -85,9 +85,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="ProblemInstanceConsumerView.resx">
-      <DependentUpon>ProblemInstanceConsumerView.cs</DependentUpon>
-    </EmbeddedResource>
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.cs	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceConsumerView.cs	(revision 7684)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.Instances.Views {
   [View("ProblemInstanceConsumerView")]
-  [Content(typeof(IProblemInstanceConsumer), IsDefaultView = true)]
+  [Content(typeof(IProblemInstanceConsumer), IsDefaultView = false)]
   public sealed partial class ProblemInstanceConsumerView : AsynchronousContentView {
 
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.cs	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderView.cs	(revision 7684)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Problems.Instances.Views {
   [View("ProblemInstanceProviderView")]
-  [Content(typeof(IProblemInstanceProvider), IsDefaultView = true)]
+  [Content(typeof(IProblemInstanceProvider), IsDefaultView = false)]
   public abstract partial class ProblemInstanceProviderView : AsynchronousContentView {
 
@@ -34,7 +34,7 @@
     }
 
-    public abstract IProblemInstanceConsumer Consumer { set; }
+    public abstract IProblemInstanceConsumer Consumer { get; set; }
 
-    public abstract IProblemInstanceExporter Exporter { set; }
+    public abstract IProblemInstanceExporter Exporter { get; set; }
 
     public ProblemInstanceProviderView() {
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderViewGeneric.Designer.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderViewGeneric.Designer.cs	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderViewGeneric.Designer.cs	(revision 7684)
@@ -21,5 +21,5 @@
 
 namespace HeuristicLab.Problems.Instances.Views {
-  partial class ProblemInstanceProviderView<T> {
+  partial class ProblemInstanceProviderViewGeneric<T> {
     /// <summary> 
     /// Required designer variable.
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderViewGeneric.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderViewGeneric.cs	(revision 7683)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/ProblemInstanceProviderViewGeneric.cs	(revision 7684)
@@ -30,7 +30,7 @@
 
 namespace HeuristicLab.Problems.Instances.Views {
-  [View("ProblemInstanceProviderView")]
+  [View("ProblemInstanceProviderViewGeneric")]
   [Content(typeof(IProblemInstanceProvider<>), IsDefaultView = true)]
-  public partial class ProblemInstanceProviderView<T> : ProblemInstanceProviderView {
+  public partial class ProblemInstanceProviderViewGeneric<T> : ProblemInstanceProviderView {
 
     public new IProblemInstanceProvider<T> Content {
@@ -39,11 +39,25 @@
     }
 
-    private IProblemInstanceConsumer<T> consumer;
-    public override IProblemInstanceConsumer Consumer { set { consumer = (IProblemInstanceConsumer<T>)value; } }
+    private IProblemInstanceConsumer<T> GenericConsumer { get { return (IProblemInstanceConsumer<T>)Consumer; } }
+    public IProblemInstanceConsumer consumer;
+    public override IProblemInstanceConsumer Consumer {
+      get { return consumer; }
+      set {
+        consumer = value;
+        SetEnabledStateOfControls();
+      }
+    }
 
-    private IProblemInstanceExporter<T> exporter;
-    public override IProblemInstanceExporter Exporter { set { exporter = (IProblemInstanceExporter<T>)value; } }
+    private IProblemInstanceExporter<T> GenericExporter { get { return (IProblemInstanceExporter<T>)Exporter; } }
+    private IProblemInstanceExporter exporter;
+    public override IProblemInstanceExporter Exporter {
+      get { return exporter; }
+      set {
+        exporter = value;
+        SetEnabledStateOfControls();
+      }
+    }
 
-    public ProblemInstanceProviderView() {
+    public ProblemInstanceProviderViewGeneric() {
       InitializeComponent();
       importButton.Text = String.Empty;
@@ -70,7 +84,7 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      instancesComboBox.Enabled = !ReadOnly && !Locked && Content != null && consumer != null;
-      loadButton.Enabled = !ReadOnly && !Locked && Content != null && consumer != null;
-      exportButton.Enabled = !ReadOnly && !Locked && Content != null && exporter != null;
+      instancesComboBox.Enabled = !ReadOnly && !Locked && Content != null && GenericConsumer != null;
+      loadButton.Enabled = !ReadOnly && !Locked && Content != null && GenericConsumer != null;
+      exportButton.Enabled = !ReadOnly && !Locked && Content != null && GenericExporter != null;
       problemInstanceProviderSplitContainer.Panel2Collapsed = !exportButton.Enabled;
     }
@@ -80,5 +94,5 @@
       var instance = Content.LoadData(descriptor);
       try {
-        consumer.Load(instance);
+        GenericConsumer.Load(instance);
       }
       catch (Exception ex) {
@@ -99,5 +113,5 @@
         }
         try {
-          consumer.Load(instance);
+          GenericConsumer.Load(instance);
         }
         catch (Exception ex) {
@@ -110,5 +124,5 @@
       if (saveFileDialog.ShowDialog(this) == DialogResult.OK) {
         try {
-          Content.SaveData(exporter.Export(), saveFileDialog.FileName);
+          Content.SaveData(GenericExporter.Export(), saveFileDialog.FileName);
         }
         catch (Exception ex) {
Index: anches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Views/3.4/Properties/AssemblyInfo.cs	(revision 7683)
+++ 	(revision )
@@ -1,55 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Reflection;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.Views")]
-[assembly: AssemblyDescription("Provides views for Problem Instances.")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("72f8e22a-e677-4555-a49d-81fe0dda6100")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Revision and Build Numbers 
-// by using the '*' as shown below:
-[assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.2.7682")]