Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ArtificialClassificationDataDescriptor.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ArtificialClassificationDataDescriptor.cs	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ArtificialClassificationDataDescriptor.cs	(revision 7685)
@@ -22,5 +22,5 @@
 
 using System.Collections.Generic;
-namespace HeuristicLab.Problems.Instances.Regression {
+namespace HeuristicLab.Problems.Instances.Classification {
   public abstract class ArtificialClassificationDataDescriptor : IDataDescriptor {
     public abstract string Name { get; }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ArtificialClassificationInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ArtificialClassificationInstanceProvider.cs	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ArtificialClassificationInstanceProvider.cs	(revision 7685)
@@ -21,5 +21,5 @@
 
 
-namespace HeuristicLab.Problems.Instances.Regression {
+namespace HeuristicLab.Problems.Instances.Classification {
   public abstract class ArtificialClassificationInstanceProvider : ClassificationInstanceProvider {
     public override ClassificationData LoadData(IDataDescriptor descriptor) {
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ClassificationInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ClassificationInstanceProvider.cs	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ClassificationInstanceProvider.cs	(revision 7685)
@@ -27,5 +27,5 @@
 using System.Text;
 
-namespace HeuristicLab.Problems.Instances.Regression {
+namespace HeuristicLab.Problems.Instances.Classification {
   public abstract class ClassificationInstanceProvider : IProblemInstanceProvider<ClassificationData> {
     public ClassificationData LoadData(string path) {
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/HeuristicLab.Problems.Instances.Classification-3.4.csproj
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/HeuristicLab.Problems.Instances.Classification-3.4.csproj	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/HeuristicLab.Problems.Instances.Classification-3.4.csproj	(revision 7685)
@@ -57,4 +57,10 @@
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="ClassificationInstanceProvider.cs" />
+    <Compile Include="RealWorld\Iris.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="RealWorld\Mammography.cs">
+      <SubType>Code</SubType>
+    </Compile>
     <Compile Include="RealWorld\RealWorldInstanceProvider.cs" />
     <Compile Include="ResourceClassificationDataDescriptor.cs" />
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/Iris.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/Iris.cs	(revision 7685)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/Iris.cs	(revision 7685)
@@ -0,0 +1,48 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+using System;
+namespace HeuristicLab.Problems.Instances.Classification {
+  public class Iris : IDataDescriptor {
+    public string Name { get { return "iris"; } }
+    public string Description {
+      get {
+        return "Data Set Information: This is perhaps the best known database to be found in the pattern "
+        + "recognition literature. Fisher's paper is a classic in the field and is referenced frequently to this "
+        + "day. (See Duda & Hart, for example.) The data set contains 3 classes of 50 instances each, where each class "
+        + "refers to a type of iris plant. One class is linearly separable from the other 2; the latter are NOT linearly "
+        + "separable from each other." + Environment.NewLine
+        + "Website: http://archive.ics.uci.edu/ml/datasets/Iris" + Environment.NewLine
+        + "Attribute Information:" + Environment.NewLine
+        + "1. sepal length in cm" + Environment.NewLine
+        + "2. sepal width in cm" + Environment.NewLine
+        + "3. petal length in cm" + Environment.NewLine
+        + "4. petal width in cm" + Environment.NewLine
+        + "5. class:" + Environment.NewLine
+        + "-- Iris Setosa" + Environment.NewLine
+        + "-- Iris Versicolour" + Environment.NewLine
+        + "-- Iris Virginica" + Environment.NewLine + Environment.NewLine
+        + "Note: Iris Setosa = 0; Iris Versicolour = 1; Iris Virginica = 2;";
+      }
+    }
+  }
+}
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/Mammography.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/Mammography.cs	(revision 7685)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/Mammography.cs	(revision 7685)
@@ -0,0 +1,49 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+using System;
+namespace HeuristicLab.Problems.Instances.Classification {
+  public class Mammography : IDataDescriptor {
+    public string Name { get { return "mammography"; } }
+    public string Description {
+      get {
+        return "Data Set Information: Features are computed from a digitized image of a fine needle aspirate (FNA) of a breast mass."
+        + "Website: http://archive.ics.uci.edu/ml/datasets/Breast+Cancer+Wisconsin+%28Diagnostic%29" + Environment.NewLine
+        + "Attribute Information:" + Environment.NewLine
+        + "1) ID number" + Environment.NewLine
+        + "2) Diagnosis (M = malignant, B = benign)" + Environment.NewLine
+        + "3-32)" + Environment.NewLine + Environment.NewLine
+        + "Ten real-valued features are computed for each cell nucleus:" + Environment.NewLine + Environment.NewLine
+        + "a) radius (mean of distances from center to points on the perimeter)" + Environment.NewLine
+        + "b) texture (standard deviation of gray-scale values)" + Environment.NewLine
+        + "c) perimeter" + Environment.NewLine
+        + "d) area" + Environment.NewLine
+        + "e) smoothness (local variation in radius lengths)" + Environment.NewLine
+        + "f) compactness (perimeter^2 / area - 1.0)" + Environment.NewLine
+        + "g) concavity (severity of concave portions of the contour)" + Environment.NewLine
+        + "h) concave points (number of concave portions of the contour)" + Environment.NewLine
+        + "i) symmetry" + Environment.NewLine
+        + "j) fractal dimension (\"coastline approximation\" - 1)";
+      }
+    }
+  }
+}
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/RealWorldInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/RealWorldInstanceProvider.cs	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/RealWorld/RealWorldInstanceProvider.cs	(revision 7685)
@@ -21,6 +21,10 @@
 
 using System;
+using System.Collections.Generic;
+using System.IO;
+using System.Linq;
+using ICSharpCode.SharpZipLib.Zip;
 
-namespace HeuristicLab.Problems.Instances.Regression {
+namespace HeuristicLab.Problems.Instances.Classification {
   public class RealWorldInstanceProvider : ResourceClassificationInstanceProvider {
     public override string Name {
@@ -40,4 +44,23 @@
 
     protected override string FileExtension { get { return "RealWorld"; } }
+
+    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
+      List<IDataDescriptor> descriptorList = new List<IDataDescriptor>();
+      descriptorList.Add(new Iris());
+      descriptorList.Add(new Mammography());
+      var solutionsArchiveName = GetResourceName(FileExtension + @"\.zip");
+      if (!String.IsNullOrEmpty(solutionsArchiveName)) {
+        using (var solutionsZipFile = new ZipInputStream(GetType().Assembly.GetManifestResourceStream(solutionsArchiveName))) {
+          foreach (var entry in GetZipContents(solutionsZipFile).OrderBy(x => x)) {
+            string prettyName = Path.GetFileNameWithoutExtension(entry);
+            IDataDescriptor desc = descriptorList.Where(x => x.Name.Equals(prettyName)).FirstOrDefault();
+            if (desc != null) {
+              yield return new ResourceClassificationDataDescriptor(prettyName, desc.Description, entry);
+            } else
+              yield return new ResourceClassificationDataDescriptor(prettyName, Description, entry);
+          }
+        }
+      }
+    }
   }
 }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationDataDescriptor.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationDataDescriptor.cs	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationDataDescriptor.cs	(revision 7685)
@@ -21,5 +21,5 @@
 
 
-namespace HeuristicLab.Problems.Instances.Regression {
+namespace HeuristicLab.Problems.Instances.Classification {
   internal class ResourceClassificationDataDescriptor : IDataDescriptor {
     public string Name { get; internal set; }
Index: /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationInstanceProvider.cs
===================================================================
--- /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationInstanceProvider.cs	(revision 7684)
+++ /branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.Classification/3.4/ResourceClassificationInstanceProvider.cs	(revision 7685)
@@ -28,5 +28,5 @@
 using ICSharpCode.SharpZipLib.Zip;
 
-namespace HeuristicLab.Problems.Instances.Regression {
+namespace HeuristicLab.Problems.Instances.Classification {
   public abstract class ResourceClassificationInstanceProvider : ClassificationInstanceProvider {
 